Skip to content
BolderBolder Developers
Esc
↑↓navigate↵open⌘Jpreview

Delete product

Permanently deletes a product and all its variants and images. Requires admin scope.

DELETE/products/{id}
Authorization
AuthorizationBearer token (JWT) · headerrequired

OAuth 2.0 Bearer token. Obtain via POST https://auth.onbolder.com/oauth/token.

Scopes:admin
Path parameters
idstringrequired

Product ID or slug

Responses
204

Product deleted

404

Resource not found

messagestring
Try it
Server
Authorization
Parameters
Request
curl -X DELETE 'https://api.onbolder.com/v1/products/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
Product deleted

Was this page helpful?